Support » Plugin: GiveWP - Donation Plugin and Fundraising Platform » JS files not loaded when wp’s own jquery is replaced w/ different version

  • Resolved Milber

    (@milber)


    The plugin seems to rely on ancient jquery version in wordpress includes folder, as every script in class-give-scripts.php lists it as a dependency. I have dequeued and unregistered this original wordpress jquery version in my theme and load a current version from a cdn instead. This causes GiveWP to fail to load all of its js files most importantly give.js. Of course, I can simply delete the dependencies in class-give-scripts.php but I was wondering: Is there another way to make GiveWP work with a jquery version different from the one wordpress comes with, without making changes to the GiveWP plugin? 🙂

Viewing 1 replies (of 1 total)
  • Plugin Support Ben Meredith

    (@benmeredithgmailcom)

    Hi there,

    It’s a best practice in WordPress to never use a different version of jQuery than the one packaged with WordPress. In the thousands of plugins and themes out there, there’s no way to have a product that works with everything, and so we as plugin authors and theme authors all agree to use the version that ships with WordPress.

    Here’s a good write-up on the issue:
    https://pippinsplugins.com/why-loading-your-own-jquery-is-irresponsible/

    We have no plans to support using a different version of jQuery than the one that ships with WordPress.

    Thanks!

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.